﻿/*******************************************************
Sakaiden Class
********************************************************
Name:SkdRandomImg
Created By:CaptainHansode

イメージをランダムで読み込む
*******************************************************/
///////////////////////////////////////////////////
//まずはこのクラスのパス
//
package sakaiden
{
///////////////////////////////////////////////////
//必要なクラスを取得しておく
//なんだかいつも適当
import flash.display.Loader;
import flash.display.LoaderInfo;
import flash.system.LoaderContext;


import flash.display.*;
import flash.events.*;
import flash.net.URLRequest;


	///////////////////////////////////////////////////
	//次にクラス
	//これはムービークリップのサブクラス
	public class SkdRandomImg extends MovieClip
	{
		///////////////////////////////////////////////////
		//コンストラクタ
		//
		//引数は、ファイルまでのURL（パス）、イメージ名、イメージ種類、イメージ数
		//イメージは0番以上から
		//例、image0.jpgなどなど
		//
		//
		public function SkdRandomImg(in_passStr:String = "http:///", in_nameStr:String = "image", in_imgType:String = "jpg", in_imageNum:Number = 1)
		{
			//引数から代入
			//イメージまでのパスをつくる、まずは変数
			var num = Math.floor( ( Math.random() * in_imageNum - 0 +1 ) + 0 );
			
			//パスを作る部分
			urlStr = in_passStr + in_nameStr + num + "." + in_imgType;
			
			//ちょっと確認
			trace("読み込む画像は  "+urlStr + "?"+ Math.floor( Math.random()*10000 ) +"  なのさ");
			
		};//constructor end
		
		///////////////////////////////////////////////////
		//プロパティ、変数を設定
		private var urlStr:String;
		
		///////////////////////////////////////////////////
		//メソッド
		
		///////////////////////////////////////////////////
		//実際に読み込みを行う
		//
		public function loadImage():Loader
		{
			//まずはローダーを作って格納
			var loader:Loader = new Loader();
			
            // Loaderコンテキストを準備しておく
			//よくわからんがあったほうがいいみたい、クロスドメイン対策だそうだ
            var context:LoaderContext = new LoaderContext(true);
			
			//いざ読み込み
			//読み込み時に"ファイルパス"?123456という感じで、クエスチョンと数字を追加すると
			//読み込むたびにキャッシュに別々に保存される
			loader.load(new URLRequest( urlStr + "?"+ Math.floor( Math.random()*10000 ) ),context);
			
			//ランダムにしないverはこれ
			//loader.load(new URLRequest(urlStr),context);
			
			//読み込んだ物を返してあげる
			return loader;
		};//fn end

	};//public end
};//class end